DevelopersAPIReferencemerchants
Retrieve merchant
Retrieve one merchant by id with the Walletguide REST API. Parameters, response fields, and a playground you can run.
GET
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidid*stringRow uuid
Format
uuidThe merchant
application/json- response
id*stringFormat
uuidwalletId*stringFormat
uuidfirestoreId*string|nullname*stringdefaultCategoryId*|Format
uuiddefaultUsingDateRule*|Value in
"transactionDate""transactionMonth""monthAfterTransactionDate""monthBeforeTransactionDate""yearBeforeTransactionDate""oneMonthFromTransactionDate""oneYearFromTransactionDate""sixMonthsFromTransactionDate""custom"nulldomains*array<string>logo*booleanautoCreatedSource*|Value in
"googleMaps""searchApiGoogleWebSearch""bingWebSearch"nullautoReviewTransactions*booleancreatedTime*|Format
date-timecreatedUserId*string|nulllastUpdatedTime*|Format
date-timelastUpdatedUserId*string|nullcurl -X GET "https://example.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "name": "string", "defaultCategoryId": "0f63fd5d-d332-4663-9682-fda5c7d5685d", "defaultUsingDateRule": "transactionDate", "domains": [ "string" ], "logo": true, "autoCreatedSource": "googleMaps", "autoReviewTransactions": true, "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string"}